pandoc-lua-marshal-0.3.2.1: Use pandoc types in Lua

Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.Inline

Contents

- Single Inline elements
- List of Inlines
- Constructors
- Walking

Description

Marshal values of types that make up `Inline` elements.

Synopsis

- typeInline :: LuaError e => DocumentedType e Inline
- peekInline :: LuaError e => Peeker e Inline
- peekInlineFuzzy :: LuaError e => Peeker e Inline
- pushInline :: LuaError e => Pusher e Inline
- peekInlines :: LuaError e => Peeker e [Inline]
- peekInlinesFuzzy :: LuaError e => Peeker e [Inline]
- pushInlines :: LuaError e => Pusher e [Inline]
- inlineConstructors :: LuaError e => [DocumentedFunction e]
- mkInlines :: LuaError e => DocumentedFunction e
- walkInlineSplicing :: (LuaError e, Walkable (SpliceList Inline) a) => Filter -> a -> LuaE e a
- walkInlinesStraight :: (LuaError e, Walkable [Inline] a) => Filter -> a -> LuaE e a

# Documentation

typeInline :: LuaError e => DocumentedType e Inline Source #

Inline object type.

# Single Inline elements

peekInline :: LuaError e => Peeker e Inline Source #

Retrieves an Inline value.

peekInlineFuzzy :: LuaError e => Peeker e Inline Source #

Try extra hard to retrieve an Inline value from the stack. Treats bare strings as `Str` values.

pushInline :: LuaError e => Pusher e Inline Source #

Pushes an Inline value as userdata object.

# List of Inlines

peekInlines :: LuaError e => Peeker e [Inline] Source #

Retrieves a list of Inline values.

peekInlinesFuzzy :: LuaError e => Peeker e [Inline] Source #

Try extra-hard to return the value at the given index as a list of inlines.

pushInlines :: LuaError e => Pusher e [Inline] Source #

Pushes a list of Inline values.

# Constructors

inlineConstructors :: LuaError e => [DocumentedFunction e] Source #

Constructor functions for `Inline` elements.

mkInlines :: LuaError e => DocumentedFunction e Source #

Constructor for a list of `Inline` values.

# Walking

walkInlineSplicing :: (LuaError e, Walkable (SpliceList Inline) a) => Filter -> a -> LuaE e a Source #

Walks an element of type `a` and applies the filter to all `Inline` elements. The filter result is spliced back into the list.

walkInlinesStraight :: (LuaError e, Walkable [Inline] a) => Filter -> a -> LuaE e a Source #

Walks an element of type `a` and applies the filter to all lists of `Inline` elements.